var onajax = false;
$(function(){

    $('#form').rvf({
        submitId    : 'sbtn',
        dCallBack   : function(){},
        vCallBack   : function(){
            var ret = true;
            $('.v_select').each(function(){
                if($(this).find('option:selected').attr('last') == '1'){
                    ret = false;
                    $(this).trigger('change');
                }
            });
            return ret;
        }
    });

    $('.v_select').bind('change' , function(){
        if($(this).find('option:selected').attr('last') == '1'){
            $('#' + $(this).attr('msgid')).html('请选择最终节点');
        }else{
            $('#' + $(this).attr('msgid')).html('');
        }
    });

    $('#v_name').bind('blur' , function(){
        var v = $(this).val();
        if(v !=  ''){
            $.post($(this).attr('pyurl') , {cn : v} , function(d){
                $('#v_sname').val(d);
            });
            if($('#v_key').val() == ''){
                $('#v_key').val( v + '在线播放,QVOD,百度影音' + v + ',' + v + '高清下载' );
            }
            if($('#v_desc').val() == ''){
                $('#v_desc').val(v + '在线播放,QVOD,百度影音' + v + ',' + v + '高清下载' );
            }
        }
    });

    $('.dialog').bind('click' , function(){
        var url    = $(this).attr('ajaxurl');
        var title  = $(this).attr('title');
        var width  = $(this).attr('dw') ? $(this).attr('dw') : 'auto';
        var height = $(this).attr('dh') ? $(this).attr('dh') : 'auto';
        $.dialog({ 
            id      : 'vwin' ,
            content : 'url:' + url,
            title   : title , 
            width   : width ,
            height  : height,
            padding : 0 ,
            drag    : false,
            cache   : true,
            min     : false
        });
    });

    

    $('.getpy').bind('click' , function(){
        var vname = $('#v_name').val();
        if(vname == ''){
            showmsg('请先输入视频名称!');
        }else{
            if(!onajax){
                onajax = true;
                var url = $(this).attr('ajaxurl') ,tagid = $(this).attr('targetid');
                $.post(url , {cn : vname} , function(d){
                    $('#' + tagid).val(d);
                    onajax = false;
                });
            }else{
                showmsg('操作中...');
            }
        }
    });

});


var sact = function(data){
    $('#v_actor').val(data);
};

var sdir = function(data){
    $('#v_director').val(data);
};